[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[dak/master] moveftp.sh



little script to be used on ravel, whenever ravel is hosting
ftp.upload.d.o, so we don't need two queueds

Signed-off-by: Joerg Jaspert <joerg@debian.org>
---
 scripts/debian/moveftp.sh |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)
 create mode 100755 scripts/debian/moveftp.sh

diff --git a/scripts/debian/moveftp.sh b/scripts/debian/moveftp.sh
new file mode 100755
index 0000000..6aecc28
--- /dev/null
+++ b/scripts/debian/moveftp.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -e
+set -u
+
+FTPDIR="/org/upload.debian.org/ftp/pub/UploadQueue/"
+SSHDIR="/org/upload.debian.org/UploadQueue/"
+
+yes n | find ${FTPDIR} -type f -mmin +15 -print0 -exec mv -i --target-directory=${SSHDIR} "{}" +
-- 
1.5.6.5


Reply to: